> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# List group (sub) reservation entities.

> Returns a list with minimal information for all sub reservations related to the given group.

- Product: Reservations
- Section: Reservation
- Snapshot: Current
- Method: `GET`
- Path: `/api/reservations/{id}/group_reservations_list`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `organization`

Type: `number`  
Required: yes  

Organization ID

### `token`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservations.groupReservationsList({
  id: 0,
  organization: 0,
  token: "<token>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/reservations/$ID/group_reservations_list" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION" \
    --url-query "token=$TOKEN"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 1000,
    "token": "fdffb9ad-eeba-40da-9592-23b2c6ee067a",
    "number": "2024-0001",
    "name": "John Doe",
    "dateFrom": "2024-05-09T00:00:00Z",
    "dateTo": "2024-05-12T00:00:00Z",
    "accommodationTitle": "Comfortplaats Standaard",
    "accommodationUnitNumber": "039",
    "numOfPersons": 2
  }
]
```

##### Schema

###### object[]

Type: `object[]`  

###### object

Type: `object`  

###### `id`

Type: `number`  
Required: no  

###### `token`

Type: `string`  
Required: no  

###### `number`

Type: `string`  
Required: no  

###### `name`

Type: `string`  
Required: no  

###### `dateFrom`

Type: `string`  
Required: no  

###### `dateTo`

Type: `string`  
Required: no  

###### `accommodationTitle`

Type: `string`  
Required: no  

###### `accommodationUnitNumber`

Type: `string`  
Required: no  

###### `numOfPersons`

Type: `number`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservations/methods/group-reservations-list/)
- [TypeScript Markdown](/reservations/methods/group-reservations-list.md?lang=typescript)
- [curl Markdown](/reservations/methods/group-reservations-list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservations/llms.txt)
- [snapshot llms.txt](/reservations/llms.txt)
